Bug 226494 - Update libwebrtc to M92
Summary: Update libwebrtc to M92
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-06-01 04:46 PDT by youenn fablet
Modified: 2021-06-11 14:32 PDT (History)
16 users (show)

See Also:


Attachments
patch (11.05 MB, patch)
2021-06-01 05:40 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
fix compilation for webkitgtk/wpe (5.94 KB, patch)
2021-06-02 04:42 PDT, Víctor M. Jáquez L.
no flags Details | Formatted Diff | Diff
Patch (11.04 MB, patch)
2021-06-07 00:56 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (10.81 MB, patch)
2021-06-07 11:55 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (11.04 MB, patch)
2021-06-07 11:56 PDT, youenn fablet
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch - fixing test (11.04 MB, patch)
2021-06-07 12:23 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch - fixing build (11.06 MB, patch)
2021-06-10 02:58 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-06-01 04:46:53 PDT
Update libwebrtc to M92
Comment 1 youenn fablet 2021-06-01 05:40:23 PDT
Created attachment 430257 [details]
patch
Comment 2 Víctor M. Jáquez L. 2021-06-02 04:42:53 PDT
Created attachment 430334 [details]
fix compilation for webkitgtk/wpe
Comment 3 youenn fablet 2021-06-07 00:56:04 PDT
Created attachment 430719 [details]
Patch
Comment 4 youenn fablet 2021-06-07 11:55:24 PDT
Created attachment 430767 [details]
Patch
Comment 5 youenn fablet 2021-06-07 11:56:44 PDT
Created attachment 430768 [details]
Patch
Comment 6 youenn fablet 2021-06-07 12:23:50 PDT
Created attachment 430773 [details]
Patch - fixing test
Comment 7 youenn fablet 2021-06-08 02:08:15 PDT
Mac-debug-wk1 error is unrelated.
Comment 8 Radar WebKit Bug Importer 2021-06-08 04:47:31 PDT
<rdar://problem/79000281>
Comment 9 EWS 2021-06-08 09:14:39 PDT
Committed r278609 (238598@main): <https://commits.webkit.org/238598@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 430773 [details].
Comment 10 Truitt Savell 2021-06-08 11:02:45 PDT
Reverted r278609 for reason:

Broke builds with a linker error.

Committed r278620 (238605@main): <https://commits.webkit.org/238605@main>
Comment 11 youenn fablet 2021-06-10 02:58:14 PDT
Created attachment 431054 [details]
Patch - fixing build
Comment 12 EWS 2021-06-10 05:24:05 PDT
Found 1 new test failure: imported/w3c/web-platform-tests/navigation-timing/nav2_test_attributes_values.html
Comment 13 EWS 2021-06-10 07:38:47 PDT
Committed r278701 (238673@main): <https://commits.webkit.org/238673@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431054 [details].
Comment 14 Truitt Savell 2021-06-11 14:32:12 PDT
it looks like the changes in r278701 may have broken imported/w3c/web-platform-tests/html/dom/usvstring-reflection.https.html

tracking in https://bugs.webkit.org/show_bug.cgi?id=226928